> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a tag to a Job

> Add a Tag to the Job with the specified Id. Required permissions: `ViewJobs`



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml post /api/jobs/v1/jobs/{jobId}/tags
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/jobs/v1/jobs/{jobId}/tags:
    post:
      tags:
        - Jobs
      summary: Add a tag to a Job
      description: >-
        Add a Tag to the Job with the specified Id. Required permissions:
        `ViewJobs`
      operationId: addJobTag
      parameters:
        - description: Id of job to add tag to
          in: path
          name: jobId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TagToAddV1'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    TagToAddV1:
      properties:
        projectId:
          description: Id of project the resource belongs to.
          example: 62313ce67a0af0281c01a6a5
          type: string
        tagName:
          description: Name of tag to add to a job.
          example: MyTag
          type: string
      required:
        - tagName
        - projectId
      type: object
    TagEnvelopeV1:
      properties:
        metadata:
          $ref: '#/components/schemas/MetadataV1'
        tag:
          $ref: '#/components/schemas/TagV1'
      required:
        - tag
        - metadata
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    TagV1:
      properties:
        createdAt:
          description: When the tag was created.
          example: '2022-03-15T21:48:36.586Z'
          format: date-time
          type: string
        creatorId:
          description: Id of the user who created the tag.
          example: 6231342b7a0af0281c01a69e
          type: string
        id:
          description: Id of the tag.
          example: 623133e87a0af0281c01a69d
          type: string
        name:
          description: Name of the tag.
          example: KMeansTest
          type: string
      required:
        - id
        - name
        - creatorId
        - createdAt
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````